﻿#ifndef MAINWND_H
#define MAINWND_H

#include <QMainWindow>
#include <QToolButton>

QT_BEGIN_NAMESPACE
namespace Ui {
class MainWnd;
}
QT_END_NAMESPACE

class OriginalWnd;


class MainWnd : public QMainWindow
{
    Q_OBJECT

public:
    MainWnd(QWidget *parent = nullptr);
    ~MainWnd();

    void initForm();

protected:
    bool eventFilter(QObject *obj,QEvent *event);
    void setTabIcon(QToolButton* tabBtn, const QString& deepIconPath, const QString& lightIconPath);

private slots:
    void onCurrentWidgetChanged();

    void on_tabHomeBtn_clicked();

    void on_pushButton_clicked();

    void on_tabProductionBtn_clicked();

    void on_tabProgramBtn_clicked();

    void on_tabModuleBtn_clicked();

    void on_tabDispositionBtn_clicked();

    void on_tabDiagnosisBtn_clicked();

    void on_tabSystemBtn_clicked();


private:
    Ui::MainWnd *ui;

    OriginalWnd *m_originalWnd = nullptr;

    bool initialIconSet;

};
#endif // MAINWND_H
