#ifndef MAINANDSECONDARYCAMERASWND_H
#define MAINANDSECONDARYCAMERASWND_H

#include <QMainWindow>
#include <QSlider>
#include <QLineEdit>

namespace Ui {
class MainAndSecondaryCamerasWnd;
}

class MainAndSecondaryCamerasWnd : public QMainWindow
{
    Q_OBJECT

public:
    explicit MainAndSecondaryCamerasWnd(QWidget *parent = nullptr);
    ~MainAndSecondaryCamerasWnd();

    void initFrom();
    void connectSliderAndLineEdit(QSlider* slider, QLineEdit* lineEdit);
    void initLineEdits();
    void initSliders();

protected:
    void wheelEvent(QWheelEvent *event);
    void loadSettings();
    void checkSettings();
    void loadGroupSettings(int Id, int Index);
    void showEvent(QShowEvent *event) override;
    void hideEvent(QHideEvent *event) override;

private slots:
    void on_LeftZoomUpButton_clicked();

    void on_RightZoomUpButton_clicked();

    void on_LeftZoomOutButton_clicked();

    void on_RightZoomOutButton_clicked();

    QPixmap getCurrentPixmap() const {
        return Right_currentPixmap;
    }

private:
    Ui::MainAndSecondaryCamerasWnd *ui;

    QPixmap Left_currentPixmap;
    qreal Left_scaleFactor;
    QPixmap Right_currentPixmap;
    qreal Right_scaleFactor;
    int lastGroupId = -1;
    int lastIndex = -1;
    QPixmap lastRightPixmap;
    QStringList lasttextList;
    QPixmap lastLastRightPixmap;  // 用于存储上一次的 lastRightPixmap
    QStringList lastLasttextList;
    bool isUpdatingSettings;
};

#endif // MAINANDSECONDARYCAMERASWND_H
